/*
 * Copyright (c) 2000, 2012 Martin J. Mohlenkamp
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/** \file second.c 

\brief Note time for performance testing.

*/
#include <sys/types.h>
#include <sys/time.h>
#include <sys/resource.h>
double second(){
  /** return the current time for performance timings */
        static struct rusage temp;
        double foo, foo1;

        getrusage(RUSAGE_SELF,&temp)    ;
        foo     = temp.ru_utime.tv_sec  ;       /* seconds */
        foo1    = temp.ru_utime.tv_usec ;       /* uSecs */
    return  foo  + (foo1/1000000.0)         ;       /* milliseconds */
}

